FB(1)

NAME
fb - Static Java Code Analyzer

DESCRIPTION
FindBugs version 3.1.0-dev-20260221-UNKNOWN, http://findbugs.sourceforge.net Command line options fb analyze Perform FindBugs Analysis fb errors List analysis errors stored in results file fb filter Filter analysis results fb gui Launch FindBugs GUI fb help Provide help for commands fb list Convert analysis results to textual form fb set Set project configuration/options fb version List FindBugs version fb history history List details from multi-version analysis results fb merge history Combine analysis results from different versions of software to produce multi-version analysis results fb union history Merge analysis results from disjoint components fb addMessages poweruser Add msgs (e.g., textual descriptions of bugs) to analysis results fb dis utility Disassemble a class file

  General options:

-jvmArgs args
    Pass args to JVM

-maxHeap size
    Maximum Java heap size in megabytes (default=768)

-javahome <dir>
    Specify location of JRE

SEE ALSO
The full documentation for fb is maintained as a Texinfo manual. If the info and fb programs are properly installed at your site, the command

    info fb

should give you access to the complete manual.